Subject: [TICTOC] Comments to draft-ietf-tictoc-1588overmpls-03

From: Gregory Mirsky <[email-masked]>
Date: Wed, 21 Mar 2012 17:51:51 -0400

Dear Authors, et al.,
Please find my comments to version -03 (I'll attach it since it has not yet been submitted) below:
*       Section 4, Figure 1 is overloaded as several applicable deployment scenarios merged in one diagram. Perhaps split into several diagrams would better illustrate possible scenarios.
*       Section 5 states that PTP LSP between Master Clock and Slave Clock must be co-routed LSP. How co-routed requirement operationally can be matched if LDP or BGP used to signal LSP?
*       Section 5, last para. I'd note that BFD or any other OAM is not "control plane traffic" as it characterized in the text but part of data plane. Term "user plane traffic" seems ambiguous and perhaps can be replaced by "data plane client payload" or just "client data".
*       Section 6 introduces notion of PTP PW. Why PE must be aware of character of Ethernet payload? Shouldn't PW be agnostic of PTP?
*       Section 6.2 it is not clear why use of PW CW makes "detection of PTP messages inside the MPLS packet" more robust if and when PW already is tunneled over PTP LSP.
*       Section 16.2 is ambiguous allowing LSR on PTP LSP to violate network layers by concluding on processing decisions of a packet on PTP LSP not by terminating LSP but by performing DPI of LSP payload:
"When the 1588-capable/aware LSR receives an MPLS packet,
 it performs a label lookup and if the label lookup indicates it is a PTP
 label then further parsing must be done to positively identify that the
 payload is 1588 and not OAM, BFD or control and management.

 Ruling out non-1588 messages can easily be done when parsing
 indicates the presence of GAL, ACH or VCCV (Type 1, 2, 3) or when the
 UDP port number does not match one of the 1588 UDP port numbers.

 After a 1588 message is positively identified in a PTP LSP, the PTP
 message type indicates whether any timestamp processing is required.
 After 1588 processing the packet is forwarded as a normal MPLS packet
 to downstream node."
*       Section 19 doesn't list case when ingress LER performs Border Clock function though the case is discussed in Section 4 and reflected, in my interpretation, in Figure 1.
*       Section 19. I think that bullet 3 is identical to bullet 5:
"An LER receives MPLS encapsulated PTP messages and terminates them, while performing the OC or BC functionality."
"An LSR receives MPLS encapsulated PTP messages and terminates them, while performing the OC or BC functionality."

Thank you for your consideration.

        Regards,
                Greg